Flash player dont work

Asked by Fliad on 2011-08-22

i have ubuntu 10.10, when i installed it adobe flash player didnt work, today i installed newest version and still things like chesscube and tetrisfriends are not working, but youtube is working. when i log in in chesscube in left bottom corner is done and its black screen, i refresh it, again the same thing, other thing tetris friends are loading all the time and it wont start a game, the same thing if i refresh it, please i dont want use stupid windows, so please help me to solv this problem.
Thanks

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu adobe-flashplugin Edit question
Assignee:
No assignee Edit question
Solved by:
actionparsnip
Solved:
2011-09-04
Last query:
2011-09-04
Last reply:
2011-08-23

Can you please give the output of:

lsb_release -a; uname -a; dpkg -l | egrep "flash|gnash|swf"

Thanks

NB. Adding "I don't want to use stupid Windows" is of zero value to the question and doesn't make anyone want to help you any more or any less.

Fliad (igrajsamnom) said : #2

NB. Adding "I don't want to use stupid Windows" is of zero value to the question and doesn't make anyone want to help you any more or any less.

I didnt say u have help me more, i just said what i think lol

Can you please give the output of:
lsb_release -a; uname -a; dpkg -l | egrep "flash|gnash|swf"
Thanks

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 10.10
Release: 10.10
Codename: maverick
Linux typhon-System-Product-Name 2.6.35-30-generic-pae #56-Ubuntu SMP Mon Jul 11 21:51:12 UTC 2011 i686 GNU/Linux
ii adobe-flash-properties-gtk 10.3.183.4-0maverick1 GTK+ control panel for Adobe Flash Player plugin version 10
ii adobe-flashplugin 10.3.183.4-0maverick1 Adobe Flash Player plugin version 10
ii browser-plugin-gnash 0.8.8-5ubuntu1 GNU Shockwave Flash (SWF) player - Plugin for Mozilla and derivatives
ii gnash 0.8.8-5ubuntu1 GNU Shockwave Flash (SWF) player
ii gnash-common 0.8.8-5ubuntu1 GNU Shockwave Flash (SWF) player - Common files/libraries
ii mozilla-plugin-gnash 0.8.8-5ubuntu1 dummy package for renaming to browser-plugin-gnash
typhon@typhon-System-Product-Name:~$

Thank you :)

ok you have TOO MANY flas plugins, this causes a conflict and you get nothing.

This will clean you up:

sudo apt-get --purge remove adobe-flash-properties-gtk adobe-flashplugin browser-plugin-gnash gnash gnash-common mozilla-plugin-gnash; sudo apt-get clean; sudo apt-get update; sudo apt-get -y install flashplugin-nonfree

Restart all your browsers and you should be ok.

Fliad (igrajsamnom) said : #4

It works! Thank you very much, c ya :)

Since your problem is now resolved, please mark this question as Solved. (You can mark actionparsnip's answer as having solved your problem at https://answers.launchpad.net/ubuntu/+source/adobe-flashplugin/+question/168864.)

Fliad (igrajsamnom) said : #6

Thanks actionparsnip, that solved my question.

Fliad (igrajsamnom) said : #7

sorry for waiting